{
  description = "NEURON with custom mechanisms";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs";
  };

  outputs = { self, nixpkgs }:
  let
    system = "x86_64-linux";
    pkgs = import nixpkgs { inherit system; };
  in {
    devShells.${system}.default = pkgs.mkShell {      
      packages = [
        pkgs.limine
        pkgs.clang
        pkgs.gcc
        pkgs.gnumake
        pkgs.mtools
        pkgs.gptfdisk
        # for testing
        pkgs.qemu
      ];
    };
  };
}
